Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkEdgePoints Class Reference

`#include <vtkEdgePoints.h>`

Inheritance diagram for vtkEdgePoints:

[legend]
Collaboration diagram for vtkEdgePoints:

[legend]
List of all members.

## Detailed Description

generate points on isosurface

Date:
  2002/11/03 22:51:55

Revision:
  1.36

vtkEdgePoints is a filter that takes as input any dataset and generates for output a set of points that lie on an isosurface. The points are created by interpolation along cells edges whose end-points are below and above the contour value.

Warning:
  vtkEdgePoints can be considered a "poor man's" dividing cubes algorithm (see vtkDividingCubes). Points are generated only on the edges of cells, not in the interior, and at lower density than dividing cubes. However, it is more general than dividing cubes since it treats any type of dataset.

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (59%)
  - Law, Charles (10%)
  - Lorensen, Bill (9%)
  - Martin, Ken (5%)

CVS logs (CVSweb):
  - .`h` (`/Graphics/vtkEdgePoints.h)`
  - .`cxx` (`/Graphics/vtkEdgePoints.cxx)`

Tests:
  vtkEdgePoints (Tests)

Definition at line 56 of file vtkEdgePoints.h.

## Public Types
typedef vtkDataSetToPolyDataFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetValue (float)
virtual float | GetValue ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkEdgePoints * | SafeDownCast (vtkObject *o)
vtkEdgePoints * | New ()
## Protected Methods
| vtkEdgePoints ()
| ~vtkEdgePoints ()
void | Execute ()
## Protected Attributes
float | Value
vtkMergePoints * | Locator

## Member Typedef Documentation

typedef vtkDataSetToPolyDataFilter vtkEdgePoints::Superclass

| Reimplemented from vtkDataSetToPolyDataFilter. Definition at line 59 of file vtkEdgePoints.h.

## Constructor & Destructor Documentation

vtkEdgePoints::vtkEdgePoints | ( |  | ) | `[protected]`

vtkEdgePoints::~vtkEdgePoints | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkEdgePoints::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkDataSetToPolyDataFilter.

int vtkEdgePoints::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToPolyDataFilter.

virtual int vtkEdgePoints::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToPolyDataFilter.

vtkEdgePoints* vtkEdgePoints::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkDataSetToPolyDataFilter.

void vtkEdgePoints::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkDataSetToPolyDataFilter.

vtkEdgePoints* vtkEdgePoints::New | ( |  | ) | `[static]`

| Construct object with contour value of 0.0. Reimplemented from vtkObject.

virtual void vtkEdgePoints::SetValue | ( | float |  | ) | `[virtual]`

| Set/get the contour value.

virtual float vtkEdgePoints::GetValue | ( |  | ) | `[virtual]`

| Set/get the contour value.

void vtkEdgePoints::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

## Member Data Documentation

float vtkEdgePoints::Value`[protected]`

| Definition at line 77 of file vtkEdgePoints.h.

vtkMergePoints* vtkEdgePoints::Locator`[protected]`

| Definition at line 78 of file vtkEdgePoints.h.

The documentation for this class was generated from the following file:

- Graphics/vtkEdgePoints.h